AAARGH! I'm so close, yet so far from solving this problem I'm going bald! :P I've created a reactor as noted below... the reactor event modified fires off swimmingly. However, I am uncertain how to DEAL with the event... what I wanted to do was change the draworder of the reactor_object to be in the front. As you can imagine, I've instantly created an unending loop... it's changed, and reissues modified, and it's changed, and reissues modified...etc. Can someone help me with the Noted_Moved function (pseudocode or actual) that will only fire the draworder if the location of the reactor_object has changed? My knowledge of reacter is brand new, and I'm trying to conceptualize how to use them as quickly as I can. Thank you so much for your help! Steven Craig Basham (... (setq NOBJ (entget (entlast))) (setq newNOBJ (cdr(car nobj))) (setq vlNOBJ (vlax-ename->vla-object (cdr(car nobj)))) (setq note_reactor (vlr-object-reactor (list vlNOBJ) "Note Reactor" '((:vlr-modified . Note_Moved)))) (vlr-pers note_reactor) (command "QLATTACH" (cdr(car lobj)) newnobj ) ....) The following function is my REACTION to a modified reactor-object... I'm really only interested in firing this function if the location of the object has changed. (defun Note_moved (reactor_owner reactor_object reactor_list / enameObj ) (setq enameObj (vlax-vla-object->ename reactor_owner)) (command "DRAWORDER" enameObj "" "F") )